Muitas dependencias quebradas, como arrumar?

1. Muitas dependencias quebradas, como arrumar?

Michel Helmer
MichelHelmer

(usa Ubuntu)

Enviado em 21/04/2021 - 01:10h

Olá pessoal, tudo bem?

Apos sofrer um erro no dpkg e no apt, mas consegui arrumar, hoje tive outro erro com o dpkg, ao tentar instalar qualquer App pelo terminal eu recebo um erro que o dpkg

PS: Estou no Ubuntu 20.10 - Feito com uma instalação limpa....

Erro:

dpkg: error: need an action option
Type dpkg --help for help about installing and deinstalling packages [*];
Use 'apt' or 'aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through 'less' or 'more' !

ao tentar usa o dpkg --configure -a, mas no modo root funciona, mas mesmo assim eu recebo o seguinte erro ao tentar instalar algo ou usar o comando sudo apt --fix-broken install , não funciona nem no modo root.

o texto do terminal é esse:


[email protected]:/home/MEU-USUARIO# apt --fix-broken install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
adduser apt apt-utils ca-certificates debconf debconf-i18n dpkg gpgv libacl1
libapt-pkg6.0 libaudit-common libaudit1 libbz2-1.0 libcap-ng0 libdb5.3
libffi8ubuntu1 libgcrypt20 libgmp10 libgnutls30 libgpg-error-l10n
libgpg-error0 libhogweed6 libidn2-0 liblocale-gettext-perl liblz4-1 liblzma5
libnettle8 libp11-kit0 libpam-modules libpam-modules-bin libpam0g
libpcre2-8-0 libseccomp2 libselinux1 libsemanage-common libsemanage1
libsepol1 libstdc++6 libsystemd0 libtasn1-6 libtext-charwidth-perl
libtext-iconv-perl libtext-wrapi18n-perl libudev1 libunistring2 libzstd1
openssl passwd perl-base tar ubuntu-keyring update-motd zlib1g
Suggested packages:
perl ecryptfs-utils apt-doc aptitude | synaptic | wajig dpkg-dev gnupg
| gnupg2 | gnupg1 powermgmt-base debconf-doc debconf-utils whiptail | dialog
libterm-readline-gnu-perl libgtk3-perl libnet-ldap-perl debconf-kde-helper
debsig-verify gnupg rng-tools gnutls-bin libpam-doc sensible-utils bzip2
ncompress xz-utils tar-scripts tar-doc
The following NEW packages will be installed:
adduser apt apt-utils ca-certificates debconf debconf-i18n dpkg gpgv libacl1
libapt-pkg6.0 libaudit-common libaudit1 libbz2-1.0 libcap-ng0 libdb5.3
libffi8ubuntu1 libgcrypt20 libgmp10 libgnutls30 libgpg-error-l10n
libgpg-error0 libhogweed6 libidn2-0 liblocale-gettext-perl liblz4-1 liblzma5
libnettle8 libp11-kit0 libpam-modules libpam-modules-bin libpam0g
libpcre2-8-0 libseccomp2 libselinux1 libsemanage-common libsemanage1
libsepol1 libstdc++6 libsystemd0 libtasn1-6 libtext-charwidth-perl
libtext-iconv-perl libtext-wrapi18n-perl libudev1 libunistring2 libzstd1
openssl passwd perl-base tar ubuntu-keyring update-motd zlib1g
0 upgraded, 53 newly installed, 0 to remove and 0 not upgraded.
14 not fully installed or removed.
Need to get 0 B/13,3 MB of archives.
After this operation, 54,2 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
E: Cannot get debconf version. Is debconf installed?
debconf: apt-extracttemplates failed: No such file or directory
Extracting templates from packages: 56%E: Cannot get debconf version. Is debconf installed?
debconf: apt-extracttemplates failed: No such file or directory
Extracting templates from packages: 100%
dpkg: dependency problems prevent configuration of libcom-err2:amd64:
libcom-err2:amd64 depends on libc6 (>= 2.17); however:
Package libc6:amd64 is not configured yet.

dpkg: error processing package libcom-err2:amd64 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libkrb5support0:amd64:
libkrb5support0:amd64 depends on libc6 (>= 2.14); however:
Package libc6:amd64 is not configured yet.

dpkg: error processing package libkrb5support0:amd64 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libk5crypto3:amd64:
libk5crypto3:amd64 depends on libc6 (>= 2.14); however:
Package libc6:amd64 is not configured yet.
libk5crypto3:amd64 depends on libkrb5support0 (>= 1.16); however:
Package libkrb5support0:amd64 is not configured yet.

dpkg: error processing package libk5crypto3:amd64 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libkeyutils1:amd64:
libkeyutils1:amd64 depends on libc6 (>= 2.14); however:
Package libc6:amd64 is not configured yet.

dpkg: error processing package libkeyutils1:amd64 (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
libcom-err2:amd64
libkrb5support0:amd64
libk5crypto3:amd64
libkeyutils1:amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)


Se alguém puder me ajudar eu agradeço, abraços!


  


2. Re: Muitas dependencias quebradas, como arrumar?

Jbaf68
Jbaf

(usa Debian)

Enviado em 21/04/2021 - 04:13h

Boa Madrugada,

Salve seus arquivos e use uma versão do Ubuntu que seja LTS. Essa dai além de ser apenas 'testing' deles, acaba o suporte agora em 07/2021.

Ubuntu LTS hj ativo:

18.04 ou 20.04. (LTS = Suporte longo).




3. Re: Muitas dependencias quebradas, como arrumar?

Ryuk Shinigami
Ryuk

(usa Nenhuma)

Enviado em 21/04/2021 - 09:19h

MichelHelmer

Is debconf installed?

dpkg -l debconf 


Tente isso:
sudo dpkg --configure -a
sudo apt-get install -f
sudo apt update && sudo apt upgrade



4. Re: Muitas dependencias quebradas, como arrumar?

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 21/04/2021 - 09:49h

Pode formatar.
O dpkg esta todo ferrado e o sistema também.
Não vale a pena o esforço de tentar arrumar isso ai.
O problema mais grava é que quebro a libc6.


CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


5. Re: Muitas dependencias quebradas, como arrumar?

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 21/04/2021 - 10:48h

Tenta desbloquear o Apt

sudo dpkg --configure -a
sudo apt-get -f install
sudo apt-get -f remove
sudo apt-get update
sudo apt-get upgrade



6. Re: Muitas dependencias quebradas, como arrumar?

Michel Helmer
MichelHelmer

(usa Ubuntu)

Enviado em 21/04/2021 - 14:13h


Jbaf escreveu:

Boa Madrugada,

Salve seus arquivos e use uma versão do Ubuntu que seja LTS. Essa dai além de ser apenas 'testing' deles, acaba o suporte agora em 07/2021.

Ubuntu LTS hj ativo:

18.04 ou 20.04. (LTS = Suporte longo).



Entendi, essas versões de 9 meses do Ubuntu não é recomedavel é isso? Quando eu usava Ubuntu lá em 2015/2016 eu usava essas sem grandes problemas...
Eu não sei se é só comigo, mas as vezes a loja da umas uns bugs de não mostrar algumas coisas ou ser muito lenta, desde a instalação. Desde de que instalei tenho a impressão que o Ubuntu esta com falhas e etc...

Obrigado amigo, usarei LTS então.


7. Re: Muitas dependencias quebradas, como arrumar?

Michel Helmer
MichelHelmer

(usa Ubuntu)

Enviado em 21/04/2021 - 14:17h


Ryuk escreveu:

MichelHelmer

Is debconf installed?

dpkg -l debconf 


Tente isso:
sudo dpkg --configure -a
sudo apt-get install -f
sudo apt update && sudo apt upgrade


Amigo ao rodar o primeiro comando eu recebo isso:

dpkg -l debconf
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
un debconf <none> <none> (no description available)



Ao tentar os demais comandos recebo a mesma mensagem gigante que postei ontem, com mais umas libs acrescidas no erro... :(



8. Re: Muitas dependencias quebradas, como arrumar?

Michel Helmer
MichelHelmer

(usa Ubuntu)

Enviado em 21/04/2021 - 14:21h


aguamole escreveu:

Pode formatar.
O dpkg esta todo ferrado e o sistema também.
Não vale a pena o esforço de tentar arrumar isso ai.
O problema mais grava é que quebro a libc6.


CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


Poxa, oq eu não queri fazer, pois depois de arrumar todo meu ambiente como queria uma vez tive que formatar, agora fazer isso de novo é triste. Melhor usar uma LTS como o amigo recomendou acima, talvez eu tente alguma distro que me permita ter o Gnome 40, louco pra testar aquele belezinha heheh...
Eu usei lubuntu também, gosto dele e do Xubuntu, mas o GNome tem um flow legal que eu gosto de usar.
Mas, obrigado amigo!



9. Re: Muitas dependencias quebradas, como arrumar?

Michel Helmer
MichelHelmer

(usa Ubuntu)

Enviado em 21/04/2021 - 14:25h


clodoaldops escreveu:

Tenta desbloquear o Apt

sudo dpkg --configure -a
sudo apt-get -f install
sudo apt-get -f remove
sudo apt-get update
sudo apt-get upgrade


Rapaz, não esta indo... com esses comandos, recebo o mesmo erro. :(
Acho que é formatar mesmo...